package com.ether;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public abstract class ServiceTestHelper<SERVICE extends Service> 
	extends	HibernateTestHelper<SERVICE>
{
    protected ServiceTestHelper(final String serviceBeanName) {
    	super(null, serviceBeanName, getAllDependencies(), DEFAULT_SESSION_FACTORY_BEAN_NAME);
    }

    protected void deleteAllKnownData() throws Exception
    {
    	//	deleteAllDatas( getAllKnownDomainClasses() );
    }

    public static String[] getAllDependencies()
    {
		return new String[] { 
				"classpath:dao-context.xml",
				"classpath:service-context.xml",
				"classpath:hibernate_test.cfg.xml", };
    }

    @SuppressWarnings("rawtypes")
    public static Class[] getAllKnownDomainClasses()
    {
    	return new Class[] { };
    }

    /**
     * Executes operations before running test.
     */
    protected abstract void beforeServiceTest() throws Exception;

    /**
     * Executes operations after running test.
     */
    protected final void afterServiceTest() throws Exception
    {
	 //deleteAllKnownData();	
    }

    protected final void beforeHibernateTest() throws Exception
    {
    	beforeServiceTest();
    }

    protected final void afterHibernateTest() throws Exception
    {
    	afterServiceTest();
    }

    protected final SERVICE getService()
    {
    	return getBean();
    }

    private static final Log LOGGER = LogFactory.getLog(ServiceTestHelper.class);
    private static final String DEFAULT_SESSION_FACTORY_BEAN_NAME = "sessionFactory";
}
