//*************************************************************************
// Class VerticalSlide
// Display a vertical slide
//
// use jQuery
// contentSlide : simple content
// contentPageSlide : complex content like a full jsp page for example
//*************************************************************************

var VerticalSlide = Class.create( {

    initialize: function( objectParameter )
    {
        // Param
        this.parent = objectParameter.parent ? objectParameter.parent : document.body;
        this.id = objectParameter.id;
        this.titleId = objectParameter.titleId;
        this.contentId = objectParameter.contentId;

        this.title = objectParameter.title ? objectParameter.title : false;
        this.content = objectParameter.content ? objectParameter.content : false;
        this.contentPage = objectParameter.contentPage ? objectParameter.contentPage : false;
        this.timeToSlide = objectParameter.timeToSlide ? objectParameter.timeToSlide : 100;

        // Slide div
        this.divSlide = $( document.createElement( "div" ) );
        this.divSlide.attr( {id:this.id, class:"containerSlide"} );

        // Title div
        this.divSlideTitle = $( document.createElement( "div" ) );
        this.divSlideTitle.attr( {id:this.titleId, class:"containerSlideTitle"} );

        this.divSlideTitleImage = $( document.createElement( "div" ) );
        this.divSlideTitleImage.addClass( "containerSlideTitle_image" );
        this.divSlideTitle.append( this.divSlideTitleImage );

        var divSlideTitleText = $( document.createElement( "div" ) );
        divSlideTitleText.addClass( "containerSlideTitle_text" );
        if( this.title )
            divSlideTitleText.html( this.title );
        this.divSlideTitle.append( divSlideTitleText );
        this.divSlideTitle.bind( "click", jQuery.proxy( this.onClickTitle, this ) );
        this.divSlide.append( this.divSlideTitle );

        // Content div
        this.divSlideContent = $( document.createElement( "div" ) );
        this.divSlideContent.attr( {id:this.contentId, class:"containerSlideContent", style:"display:none"} );
        if( this.content )
            this.divSlideContent.append( this.content );
        this.divSlide.append( this.divSlideContent );

        this.parent.append( this.divSlide );
    },

    isContentVisible: function()
    {
        return ("block" == this.divSlideContent.css( "display" ));
    },

    // public
    onClickTitle: function()
    {
        this.divSlideContent.animate( {height:"toggle"}, this.timeToSlide, jQuery.proxy( function()
        {
            if( this.isContentVisible() )
            {
                this.divSlideTitle.addClass( "activated" );
            }
            else
            {
                this.divSlideTitle.removeClass( "activated" );
            }
        }, this ) );

        if( this.contentPage )
            this.divSlideContent.load( this.contentPage );
    }
} );
